Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener Class Reference

Listens for IO files requests, and streams them. More...

Inheritance diagram for eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener:

## Public Member Functions
| __construct (IOServiceInterface $ioService, ConfigResolverInterface $configResolver)
| onKernelRequest (GetResponseEvent $event)

## Static Public Member Functions
static | getSubscribedEvents ()

## Private Member Functions
| isIoUri ($uri, $urlPrefix)
| Tests if $uri is an IO file uri root. More...

## Private Attributes
| $ioService
| $configResolver

## Detailed Description

Listens for IO files requests, and streams them.

Definition at line 22 of file StreamFileListener.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener::__construct | ( | IOServiceInterface | $ioService,
|  | ConfigResolverInterface | $configResolver
| ) |  |

Definition at line 30 of file StreamFileListener.php.

References eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener\$configResolver, and eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener\$ioService.

## Member Function Documentation

## ◆ getSubscribedEvents()

static eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener::getSubscribedEvents | ( |  | ) |
| static

Definition at line 36 of file StreamFileListener.php.

## ◆ isIoUri()

eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener::isIoUri | ( |  | $uri,
|  |  | $urlPrefix
| ) |  |
| private

Tests if $uri is an IO file uri root.

Parameters

  string | $uri |

Returns
  bool

Definition at line 85 of file StreamFileListener.php.

Referenced by eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener\onKernelRequest().

## ◆ onKernelRequest()

eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener::onKernelRequest | ( | GetResponseEvent | $event | ) |

Parameters

  \Symfony\Component\HttpKernel\Event\GetResponseEvent | $event |

Definition at line 46 of file StreamFileListener.php.

References eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener\isIoUri().

## Member Data Documentation

## ◆ $configResolver

eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener::$configResolver
| private

Definition at line 28 of file StreamFileListener.php.

Referenced by eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener\__construct().

## ◆ $ioService

eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener::$ioService
| private

Definition at line 25 of file StreamFileListener.php.

Referenced by eZ\Bundle\EzPublishIOBundle\EventListener\StreamFileListener\__construct().

The documentation for this class was generated from the following file:

- StreamFileListener.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.